Index: /branches/TAM_V3_0/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90
===================================================================
--- /branches/TAM_V3_0/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90	(revision 1944)
+++ /branches/TAM_V3_0/NEMO/OPA_SRC/OBC/obc_par_POMME_R025.h90	(revision 1944)
@@ -0,0 +1,87 @@
+   !!----------------------------------------------------------------------
+   !!                  ***  obc_par_POMME_R025.h90  ***
+   !!----------------------------------------------------------------------
+   !! open boundary parameter : POMME configuration
+   !!---------------------------------------------------------------------
+     INTEGER, PARAMETER ::     &  !: time dimension of the BCS fields on input
+      jptobc  =	      14
+
+   !! * EAST open boundary
+   LOGICAL, PARAMETER ::     &  !:
+      lp_obc_east = .TRUE.      !:
+   INTEGER, PARAMETER ::     &  !:
+
+      ! * default values *
+      !jpieob = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
+      !jpjed  =        2,    &  !: j-starting indice of the East open boundary (must be land T-point)
+      !jpjef  = jpjglo-1,    &  !: j-ending   indice of the East open boundary (must be land T-point)
+
+      jpieob = jpiglo-2,    &  !: i-localization of the East open boundary (must be ocean U-point)
+      jpjed  =        1,    &  !: j-starting indice of the East open boundary (must be land T-point)
+      jpjef  =   jpjglo,    &  !: j-ending   indice of the East open boundary (must be land T-point)
+
+      jpjedp1 =  jpjed+1,    &  !: first ocean point         "                 "
+      jpjefm1 =  jpjef-1        !: last  ocean point         "                 "
+
+   !! * WEST open boundary
+   LOGICAL, PARAMETER ::     &  !:
+      lp_obc_west = .TRUE.     !: to active or not the West open boundary
+   INTEGER, PARAMETER ::     &  !:
+
+      ! * default values *
+      !jpiwob  =        2,   &  !: i-localization of the West open boundary (must be ocean U-point)
+      !jpjwd   =        2,   &  !: j-starting indice of the West open boundary (must be land T-point)
+      !jpjwf   = jpjglo-1,   &  !: j-ending   indice of the West open boundary (must be land T-point)
+
+      jpiwob  =        2,   &  !: i-localization of the West open boundary (must be ocean U-point)
+      jpjwd   =        1,   &  !: j-starting indice of the West open boundary (must be land T-point)
+      jpjwf   =   jpjglo,   &  !: j-ending   indice of the West open boundary (must be land T-point)
+
+      jpjwdp1 =  jpjwd+1,    &  !: first ocean point         "                 "
+      jpjwfm1 =  jpjwf-1        !: last  ocean point         "                 "
+
+   !! * NORTH open boundary
+   LOGICAL, PARAMETER ::     &  !:
+      lp_obc_north = .TRUE.     !:
+   INTEGER, PARAMETER ::     &  !:
+
+      ! * default values *
+      !jpjnob = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
+      !jpind  =        2,    &  !: i-starting indice of the North open boundary (must be land T-point)
+      !jpinf  = jpiglo-1,    &  !: i-ending   indice of the North open boundary (must be land T-point)
+
+      jpjnob = jpjglo-2,    &  !: j-localization of the North open boundary (must be ocean V-point)
+      jpind  =        1,    &  !: i-starting indice of the North open boundary (must be land T-point)
+      jpinf  =   jpiglo,    &  !: i-ending   indice of the North open boundary (must be land T-point)
+
+      jpindp1 =  jpind+1,    &  !: first ocean point         "                 "
+      jpinfm1 =  jpinf-1        !: last  ocean point         "                 "
+
+   !! * SOUTH open boundary
+   LOGICAL, PARAMETER ::     &  !:
+      lp_obc_south = .TRUE.     !: INDICE to active or not the South open boundary
+   INTEGER, PARAMETER ::     &  !:
+
+      ! * default values *
+      !jpjsob =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
+      !jpisd  =        2,    &  !: i-starting indice of the South open boundary (must be land T-point)
+      !jpisf  = jpiglo-1,    &  !: i-ending   indice of the South open boundary (must be land T-point)
+
+      jpjsob =        2,    &  !: j-localization of the South open boundary (must be ocean V-point)
+      jpisd  =        1,    &  !: i-starting indice of the South open boundary (must be land T-point)
+      jpisf  =   jpiglo,    &  !: i-ending   indice of the South open boundary (must be land T-point)
+
+      jpisdp1 =  jpisd+1,    &  !: first ocean point         "                 "
+      jpisfm1 =  jpisf-1        !: last  ocean point         "                 "
+   
+   !! * CHOSE WHERE YOU WANT TO LOCATE THE BAROTROPIC CORRECTION VELOCITY
+   !chd IND025
+   LOGICAL, PARAMETER ::     &  !:
+        lp_obc_east_barotp_corr  = .TRUE.,   & !:
+        lp_obc_west_barotp_corr  = .TRUE.,   & !:
+        lp_obc_north_barotp_corr = .TRUE.,   & !:
+        lp_obc_south_barotp_corr = .TRUE.      !:
+
+   INTEGER, PARAMETER ::     &  !:
+      jpnic = 2700              !: maximum number of isolated coastlines points 
+   !!---------------------------------------------------------------------------------------------
Index: /branches/TAM_V3_0/NEMO/OPA_SRC/par_POMME_R025.h90
===================================================================
--- /branches/TAM_V3_0/NEMO/OPA_SRC/par_POMME_R025.h90	(revision 1944)
+++ /branches/TAM_V3_0/NEMO/OPA_SRC/par_POMME_R025.h90	(revision 1944)
@@ -0,0 +1,103 @@
+   !!---------------------------------------------------------------------
+   !!                     ***  par_ORCA_R025.h90  ***  
+   !!   Ocean Domain : 0.25 degrees resolution global ocean
+   !!                  (0RCA_R025 configuration)
+   !!---------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/par_ORCA_R025.h90,v 1.6 2006/03/10 10:55:34 opalod Exp $ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
+   CHARACTER (len=16)      &
+#if !defined key_agrif
+      , PARAMETER  &
+#endif
+      ::    &  
+      cp_cfg = "pomme"          !: POMME025 name of the configuration
+   INTEGER     &
+#if !defined key_agrif
+      , PARAMETER  &
+#endif
+      :: &
+      jp_cfg = 025  ,        &  !: resolution of the configuration (degrees)
+      ! Original data size
+
+      ! ORCA025 global grid size
+      jpiglo_ORCA025 = 1442, &
+      jpjglo_ORCA025 = 1021, &  ! not used currently
+
+      ! POMME "global" domain localisation in the ORCA025 global grid
+      jpi_iw    = 1059,      & 
+      jpi_ie    = 1088,      &  
+      jpj_js    = 661,       &
+      jpj_jn    = 700,       &
+
+      jpidta  = ( jpi_ie - jpi_iw + 1 ), &   !: =30 first horizontal dimension > or = to jpi
+      jpjdta  = ( jpj_jn - jpj_js + 1 ), &   !: =40 second                     > or = to jpj
+      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+
+      ! total domain matrix size
+      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
+      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
+      jpk     = jpkdta,      &  !: number of vertical levels
+      ! starting position of the zoom
+      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
+      jpjzoom =   1   ,      &  !: in data indices
+      ! Domain characteristics
+      jperio  =    0  ,      &  !: lateral cond. type (between 0 and 6)
+      jpisl   =  150  ,      &  !: number of islands
+      jpnisl  = 3000            !: maximum number of points per island
+
+   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
+   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
+   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
+      &                    pp_to_be_computed = 0._wp
+   !!
+   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
+   !!
+   INTEGER, PARAMETER ::     & !
+      jphgr_msh = 0            !: type of horizontal mesh
+      !                        !  = 0 curvilinear coordinate on the sphere
+      !                        !      read in coordinate.nc file
+      !                        !  = 1 geographical mesh on the sphere
+      !                        !      with regular grid-spacing
+      !                        !  = 2 f-plane with regular grid-spacing
+      !                        !  = 3 beta-plane with regular grid-spacing
+      !                        !  = 4 Mercator grid with T/U point at the equator  with
+      !                        !      isotropic resolution (e1_deg)
+
+      !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
+      !   The mercator grid starts only approximately at gphi0 because
+      !   of the constraint that the equator be a T point.
+   REAL(wp), PARAMETER ::       &  !
+      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
+      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
+      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+      !
+      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+
+   !!  Coefficients associated with the vertical coordinate system
+
+   REAL(wp), PARAMETER  ::       &
+      &     ppsur = pp_to_be_computed ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  = pp_to_be_computed ,  &  !:    "           "
+      &     ppa1  = pp_to_be_computed ,  &  !:    "           "
+      !
+      &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
+      !                                     !: layer number above which  stretching will
+      !                                     !: be maximum. Usually of order jpk/2.
+      &     ppacr =    9.00000000000_wp     !: (non dimensional): stretching factor
+      !                                     !: for the grid. The highest zacr, the smallest
+      !                                     !: the stretching.
+
+   !!
+   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
+   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+   !!
+   REAL(wp), PARAMETER ::        &
+      &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5750._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
+   !!---------------------------------------------------------------------