Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-IA64_PLATINE.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-IA64_PLATINE.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-IA64_PLATINE.fcm	(revision 1973)
@@ -0,0 +1,17 @@
+%NCDF_INC            -I/usr/include 
+%NCDF_LIB            -L usr/lib -lnetcdf -lnetcdff
+%COMPILER            mpif90
+%LINKER              mpif90
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             _NONE_
+%BASE_FFLAGS         -i4 -r8 -automatic -align all -I/opt/mpi/current/include
+%PROD_FFLAGS         -O3
+%DEV_FFLAGS          -O3 -traceback
+%DEBUG_FFLAGS        -g -traceback
+%MPI_FFLAGS
+%OMP_FFLAGS          -openmp
+%BASE_LD              -r8 -automatic
+%MPI_LD
+%OMP_LD              -openmp
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-PW6_VARGAS.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-PW6_VARGAS.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-PW6_VARGAS.fcm	(revision 1973)
@@ -0,0 +1,14 @@
+%NCDF_INC            -I/usr/local/pub/NetCDF/3.6.2/include
+%NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
+%FC                  xlf_r
+%LD                  mpxlf_r
+%AR                  ar
+%M_K                 gmake
+%FPP_FLAGS           -P
+%FFLAGS              -qautodbl=dbl4  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 %NCDF_INC %USER_INC
+%MPI_FFLAGS          -I/usr/lpp/ppe.poe/include/thread64
+%OMP_FFLAGS          
+%BASE_LD              
+%MPI_LD
+%OMP_LD              
+%USER_INC
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_BRODIE.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_BRODIE.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_BRODIE.fcm	(revision 1973)
@@ -0,0 +1,12 @@
+%NCDF_INC           -I/SXlocal/pub/netCDF/netCDF-3.6.1/include
+%NCDF_LIB           -L/SXlocal/pub/netCDF/netCDF-3.6.1/lib -lnetcdf
+%FC                 sxmpif90
+%LD                 sxmpif90
+%AR                 sxar
+%ARFLAGS            -rs 
+%M_K                make
+%FPP_FLAGS          -P -traditional 
+%FFLAGS             -f2003 nocbind -dW -Wf,"-A idbl4",-ptr byte -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 %NCDF_INC %USER_INC
+%BASE_LD
+%USER_INC
+
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_MERCURE.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_MERCURE.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX8_MERCURE.fcm	(revision 1973)
@@ -0,0 +1,17 @@
+%NCDF_INC            -I/usr/local/SX8/soft/netcdf/include
+%NCDF_LIB            -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
+%COMPILER            sxmpif90
+%LINKER              sxmpif90
+%AR                  sxar
+%MAKE                make
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             _NONE_
+%BASE_FFLAGS         -f2003 nocbind -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%PROD_FFLAGS         -C vopt
+%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
+%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
+%MPI_FFLAGS
+%OMP_FFLAGS          -P openmp 
+%BASE_LD             -size_t64
+%MPI_LD
+%OMP_LD              -P openmp
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX9_MERCURE.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX9_MERCURE.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-SX9_MERCURE.fcm	(revision 1973)
@@ -0,0 +1,17 @@
+%NCDF_INC            -I/ccc/applications/sx9/netcdf-3.6.1/include
+%NCDF_LIB            -L/ccc/applications/sx9/netcdf-3.6.1/lib -lnetcdf
+%COMPILER            sxmpif90
+%LINKER              sxmpif90
+%AR                  sxar
+%MAKE                make
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             _NONE_
+%BASE_FFLAGS         -f2003 nocbind -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%PROD_FFLAGS         -C vopt
+%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
+%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
+%MPI_FFLAGS
+%OMP_FFLAGS          -P openmp 
+%BASE_LD             -size_t64
+%MPI_LD
+%OMP_LD              -P openmp
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-X64_TITANE.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-X64_TITANE.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-X64_TITANE.fcm	(revision 1973)
@@ -0,0 +1,17 @@
+%NCDF_INC            -I$NETCDF_INCLUDEDIR
+%NCDF_LIB            -L$NETCDF_LIBDIR -lnetcdff -lnetcdf
+%COMPILER            mpif90
+%LINKER              mpif90
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             _NONE_
+%BASE_FFLAGS         -i4 -r8 -automatic -align all
+%PROD_FFLAGS         -O3
+%DEV_FFLAGS          -O3 -traceback
+%DEBUG_FFLAGS        -g -traceback
+%MPI_FFLAGS
+%OMP_FFLAGS          -openmp
+%BASE_LD              -r8 -automatic
+%MPI_LD
+%OMP_LD              -openmp
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-gfortran_osx.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-gfortran_osx.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-gfortran_osx.fcm	(revision 1973)
@@ -0,0 +1,22 @@
+
+
+%NCDF_INC            -I/usr/local/gfortran_4_3/netcdf3_6_3/include
+%NCDF_LIB            -L/usr/local/gfortran_4_3/netcdf3_6_3/lib -lnetcdf
+%COMPILER            gfortran
+%LINK                gfortran
+%AR                  ar
+%ARFLAGS             -rs
+%MAKE                make
+%FPP                 /usr/bin/cpp-4.0
+%FPP_FLAGS           -P -traditional
+%FPP_DEF
+%BASE_FFLAGS          -fdefault-real-8 -O3 -funroll-all-loops  
+%PROD_FFLAGS          -fdefault-real-8 -fast
+%DEV_FFLAGS           -fdefault-real-8 -g
+%DEBUG_FFLAGS         -fdefault-real-8 -g
+%MPI_FFLAGS
+%OMP_FFLAGS
+%BASE_LD             
+%MPI_LD
+%OMP_LD
+
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-ifort_osx.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-ifort_osx.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-ifort_osx.fcm	(revision 1973)
@@ -0,0 +1,20 @@
+%NCDF_INC             -I/usr/local/pub/netcdf/4.0.1-ifort/include 
+%NCDF_LIB            -L /usr/local/pub/netcdf/4.0.1-ifort/lib -lnetcdf   
+%COMPILER            mpif90
+%LINK                mpif90
+%AR                  libtool 
+%ARFLAGS             -c -s -o
+%MAKE                make
+%FPP                 cpp
+%FPP_FLAGS           -P -traditional -I/usr/local/pub/openmpi/1.3.3-ifort/include
+%FPP_DEF
+%BASE_FFLAGS         -r8 -O3  -traceback 
+%PROD_FFLAGS         -r8 -fast
+%DEV_FFLAGS          -r8 -g
+%DEBUG_FFLAGS        -r8 -g
+%MPI_FFLAGS
+%OMP_FFLAGS
+%BASE_LD             
+%MPI_LD
+%OMP_LD
+
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_aix.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_aix.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_aix.fcm	(revision 1973)
@@ -0,0 +1,20 @@
+
+
+%NCDF_INC            -I/usr/local/XLF/netcdf/include
+%NCDF_LIB            -L/usr/local/XLF/netcdf/lib -lnetcf
+%COMPILER            xlf90
+%LINK                xlf90
+%AR                  ar
+%MAKE                make
+%FPP_FLAGS           -P -traditional
+%FPP_DEF
+%BASE_FFLAGS         -O3 -qrealsize=8 -qextname -qsuffix=f=f90 -qsuffix=cpp=F90
+%PROD_FFLAGS         -fast
+%DEV_FFLAGS          -g
+%DEBUG_FFLAGS        -g
+%MPI_FFLAGS
+%OMP_FFLAGS
+%BASE_LD             
+%MPI_LD
+%OMP_LD
+
Index: /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_osx.fcm
===================================================================
--- /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_osx.fcm	(revision 1973)
+++ /branches/DEV_r1879_FCM/NEMOGCM/ARCH/arch-xlf_osx.fcm	(revision 1973)
@@ -0,0 +1,20 @@
+
+
+%NCDF_INC            -I/usr/local/XLF/netcdf/include
+%NCDF_LIB            -L/usr/local/XLF/netcdf/lib -lnetcf
+%COMPILER            xlf90
+%LINK                xlf90
+%AR                  ar
+%MAKE                make
+%FPP_FLAGS           -P -traditional
+%FPP_DEF
+%BASE_FFLAGS         -O3 -qrealsize=8 -qextname -qsuffix=f=f90 -qsuffix=cpp=F90
+%PROD_FFLAGS         -fast
+%DEV_FFLAGS          -g
+%DEBUG_FFLAGS        -g
+%MPI_FFLAGS
+%OMP_FFLAGS
+%BASE_LD             
+%MPI_LD
+%OMP_LD
+