Index: /vendors/update_EXTERNAL_IOIPSL.sh
===================================================================
--- /vendors/update_EXTERNAL_IOIPSL.sh	(revision 1984)
+++ /vendors/update_EXTERNAL_IOIPSL.sh	(revision 1984)
@@ -0,0 +1,57 @@
+#!/bin/bash
+# N.B. run this script on vendors directory!!!
+
+set -x
+
+last_version=$1
+new_version=$2
+new_version_name=$3
+name=$4
+
+#- My projet url
+svn_repo_url=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/
+
+#- EXTERNAL directory in which we want to merge vendors
+svn_external=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/trunk/NEMOGCM/EXTERNAL
+
+#- Vendor branch
+vendor_branch=IOIPSL
+
+#- Vendor project url
+vendor_url=http://forge.ipsl.jussieu.fr/igcmg/svn/IOIPSL/tags
+
+merge=1
+ 
+if [ $# -ne 4 ]; then
+    echo "Usage: $0 old_version_on_vendor new_version_on_remote new_version_name_on_vendor user"
+    echo " *_on_vendor is the tag on the local vendor branch "
+    echo " *_on_remote is the reference on remote model (revision number only):  REVNUMBER"
+    exit 1
+fi
+
+ 
+[ ! -d tmp_update_nemo ] && mkdir tmp_update_${vendor_branch}
+tmp_dir=tmp_update_${vendor_branch}
+cd $tmp_dir
+
+svn export $vendor_url/$new_version $new_version
+
+/sw/share/svn/contrib/client-side/svn_load_dirs/svn_load_dirs.pl $svn_repo_url/vendors/$vendor_branch -t $new_version_name current $new_version
+
+echo "Downloading and extracting IOIPSL version $new_version..."
+svn co $svn_external/IOIPSL
+
+if [ $merge == '1' ]; then
+    svn merge "$svn_repo_url/vendors/$vendor_branch/$last_version" "$svn_repo_url/vendors/$vendor_branch/current" IOIPSL
+fi
+ 
+## NOTE : after a merge we have conflicts
+## to resole them it is necessary to do, for example : svn resolved IOIPSL/directory with conflits
+
+## NOTE : if you have a good merge then you have to committ:
+## cd $tmp_dir/IOIPSL
+## svn status ../IOIPSL
+## svn ci --username $name --message "merge IOIPSL version $new_version_name"
+
+exit 0
+
Index: /vendors/update_EXTERNAL_XMLF90.sh
===================================================================
--- /vendors/update_EXTERNAL_XMLF90.sh	(revision 1984)
+++ /vendors/update_EXTERNAL_XMLF90.sh	(revision 1984)
@@ -0,0 +1,50 @@
+#!/bin/bash
+# N.B. run this script on vendors directory!!!
+set -x
+
+last_version=$1
+new_version=$2
+name=$3
+
+#- My projet url
+svn_repo_url=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/
+
+#- EXTERNAL directory in which we want to merge vendors
+svn_external=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/trunk/NEMOGCM/EXTERNAL
+
+#- Vendor branch
+vendor_branch=XMLF90
+
+#- Vendor project url
+vendor_url=http://forge.ipsl.jussieu.fr/ioserver/svn/XMLF90/src
+
+merge=1
+ 
+if [ $# -ne 3 ]; then
+    echo "Usage: $0 old_version new_version user"
+    exit 1
+fi
+ 
+[ ! -d tmp_update_nemo ] && mkdir tmp_update_${vendor_branch}
+tmp_dir=tmp_update_${vendor_branch}
+cd $tmp_dir
+
+svn export -r $new_version  $vendor_url  r_$new_version  
+
+/sw/share/svn/contrib/client-side/svn_load_dirs/svn_load_dirs.pl $svn_repo_url/vendors/$vendor_branch -t r_$new_version current r_$new_version
+
+echo "Downloading and extracting XMLF90 version $new_version..."
+svn co $svn_external/XMLF90 
+
+if [ $merge == '1' ]; then
+    svn merge "$svn_repo_url/vendors/$vendor_branch/$last_version" "$svn_repo_url/vendors/$vendor_branch/current" XMLF90 
+fi
+ 
+exit 0
+## NOTE : after a merge we have conflicts
+## to resole them it is necessary to do, for example : svn resolved XMLF90/directory with conflits
+
+## NOTE : if you have a good merge then you have to committ:
+## cd $tmp_dir/$vendor_branch
+## svn status ../XMLF90/
+## svn ci --username $name --message "merge XMLF90 version $new_version_name"
Index: /vendors/update_EXTERNAL_XMLIO_SERVER.sh
===================================================================
--- /vendors/update_EXTERNAL_XMLIO_SERVER.sh	(revision 1984)
+++ /vendors/update_EXTERNAL_XMLIO_SERVER.sh	(revision 1984)
@@ -0,0 +1,53 @@
+#!/bin/bash
+# N.B. run this script on vendors directory!!!
+
+set -x
+
+last_version=$1
+new_version=$2
+name=$3
+
+#- My projet url
+svn_repo_url=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/
+
+#- EXTERNAL directory in which we want to merge vendors
+svn_external=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/trunk/NEMOGCM/EXTERNAL
+
+#- Vendor branch
+vendor_branch=XMLIO_SERVER
+
+#- Vendor project url
+vendor_url=http://forge.ipsl.jussieu.fr/ioserver/svn/XMLIO_SERVER/trunk
+
+merge=1
+ 
+if [ $# -ne 3 ]; then
+       echo "Usage: $0 old_version new_version user"
+       exit 1
+fi
+ 
+[ ! -d tmp_update_nemo ] && mkdir tmp_update_${vendor_branch}
+tmp_dir=tmp_update_${vendor_branch}
+cd $tmp_dir
+
+svn export -r $new_version  $vendor_url  r_$new_version
+
+/sw/share/svn/contrib/client-side/svn_load_dirs/svn_load_dirs.pl $svn_repo_url/vendors/$vendor_branch -t r_$new_version current r_$new_version
+
+echo "Downloading and extracting XMLIO_SERVER from trunk/NEMOGCM/EXTERNAL"
+svn co $svn_external/XMLIO_SERVER
+
+
+if [ $merge == '1' ]; then
+    svn merge "$svn_repo_url/vendors/$vendor_branch/r_$last_version" "$svn_repo_url/vendors/$vendor_branch/current" XMLIO_SERVER   
+fi
+
+## NOTE : after a merge we have conflicts
+## to resole them it is necessary to do, for example : svn resolved XMLIO_SERVER/directory with conflits
+
+## NOTE : if you have a good merge then you have to committ:
+## cd $tmp_dir/$vendor_branch
+## svn status ../XMLIO_SERVER/
+## svn ci --username $name --message "merge XMLIO_SERVER version $new_version_name"
+
+exit 0
Index: /vendors/update_EXTERNAL_agrif.sh
===================================================================
--- /vendors/update_EXTERNAL_agrif.sh	(revision 1984)
+++ /vendors/update_EXTERNAL_agrif.sh	(revision 1984)
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+set -x
+
+last_version=$1
+new_version=$2
+new_version_name=$3
+name=$4
+ 
+#- My projet url
+svn_repo_url=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/
+
+#- EXTERNAL directory in which we want to merge vendors
+svn_external=svn+ssh://$name@forge.ipsl.jussieu.fr/ipsl/forge/projets/mentor/svn/trunk/NEMOGCM/EXTERNAL
+
+#- Vendor branch
+vendor_branch=AGRIF
+
+#- Vendor project url
+vendor_url=http://forge.ipsl.jussieu.fr/nemo/svn/trunk
+
+merge=1
+ 
+if [ $# -ne 4 ]; then
+    echo "Usage: $0 old_version_on_vendor new_version_on_remote new_version_name_on_vendor user"
+    echo " *_on_vendor is the tag on the local vendor branch "
+    echo " *_on_remote is the reference on remote model (revision number only):  REVNUMBER"
+    exit 1
+fi
+ 
+[ ! -d tmp_update_nemo ] && mkdir tmp_update_${vendor_branch}
+tmp_dir=tmp_update_${vendor_branch}
+cd $tmp_dir
+
+svn export -r $new_version $vendor_url/AGRIF  r_$new_version
+
+/sw/share/svn/contrib/client-side/svn_load_dirs/svn_load_dirs.pl $svn_repo_url/vendors/$vendor_branch -t r_$new_version_name current r_$new_version
+
+echo "Downloading and extracting AGRIF version $new_version..." 
+svn co $svn_external/AGRIF
+
+if [ $merge == '1' ]; then
+    svn merge "$svn_repo_url/vendors/$vendor_branch/$last_version" "$svn_repo_url/vendors/$vendor_branch/current" AGRIF
+fi
+ 
+## NOTE : after a merge we have conflicts
+## to resole them it is necessary to do, for example : svn resolved AGRIF/directory with conflits
+
+## NOTE : if you have a good merge then you have to committ:
+## cd $tmp_dir/$vendor_branch
+## svn status ../AGRIF/
+## svn ci --username $name --message "merge AGRIF version $new_version_name"
+ 
+exit 0
+1